# Cryptocurrency applications — Bisq, Monero GUI, and Trezor Suite.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.desktop.apps.crypto;
in {
  options.desktop.apps.crypto.enable = mkEnableOption "enable crypto applications";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [bisq2 monero-gui trezor-suite];
  };
}
